
void extrnInitPerks()
{
	//	Combat Skills Group
	//==========================================================
	ChrPerksList.list.BasicDefence.descr = "perkBasicDefence";

	ChrPerksList.list.AdvancedDefence.descr = "perkAdvancedDefence";
	ChrPerksList.list.AdvancedDefence.condition.BasicDefence = true;
	ChrPerksList.list.AdvancedDefence.Rank = 10; // KK

	// El Rapido -->
	ChrPerksList.list.Toughness.descr = "perkToughness";
	ChrPerksList.list.Toughness.condition.AdvancedDefence = true;
	ChrPerksList.list.Toughness.rank = 15; // KK
	// El Rapido <--

	ChrPerksList.list.CriticalHit.descr = "perkCriticalHit";

	ChrPerksList.list.SwordplayProfessional.descr = "perkSwordplayProfessional";
	ChrPerksList.list.SwordplayProfessional.condition.AdvancedDefence = true;
	ChrPerksList.list.SwordplayProfessional.condition.CriticalHit = true;

	if(iRealismMode<2 && !REALISTIC_ABILITIES)
	{
		ChrPerksList.list.Rush.descr = "perkRush";
		ChrPerksList.list.Rush.TimeDuration = 30;
	}

	ChrPerksList.list.Gunman.descr = "perkGunman";

	ChrPerksList.list.GunProfessional.descr = "perkGunProfessional";
	ChrPerksList.list.GunProfessional.condition.Gunman = true;
	ChrPerksList.list.GunProfessional.rank = 15;

    //JRH BB6 ->
	if(sti(GetStorylineVar(FindCurrentStoryline(), "WR_PUZZLES")) > 0)
	{
		ChrPerksList.list.GunFighter.descr = "perkGunFighter";
		ChrPerksList.list.GunFighter.condition.GunProfessional = true;
		ChrPerksList.list.GunFighter.condition.BasicDefence = true;
		ChrPerksList.list.GunFighter.condition.IronWill = true;
	}
    //<-- JRH

	// Ship Control Abilities
	//==========================================================================
	if(iRealismMode<2 && !REALISTIC_ABILITIES)
	{
		ChrPerksList.list.ShipTurnRateUp.descr = "perkShipTurnRateUp";

		ChrPerksList.list.ShipSpeedUp.descr = "perkShipSpeedUp";

		ChrPerksList.list.Turn180.descr = "perkTurn180";
		ChrPerksList.list.Turn180.condition.ShipTurnRateUp = true;
	//	ChrPerksList.list.Turn180.condition.ShipSpeedUp = true; //Armada: Turn180 is now 'club hauling', so no need for this perk.
		ChrPerksList.list.Turn180.TimeDelay = 180;

		ChrPerksList.list.SandbankManeuver.descr = "perkSandbankManeuver";
	//	ChrPerksList.list.SandbankManeuver.condition.Turn180 = true;
		ChrPerksList.list.SandbankManeuver.condition.ShipTurnRateUp = true;
		ChrPerksList.list.SandbankManeuver.condition.ShipSpeedUp = true;
		ChrPerksList.list.SandbankManeuver.TimeDuration = 60;

		ChrPerksList.list.StormProfessional.descr = "perkStormProfessional";
		ChrPerksList.list.StormProfessional.condition.LightRepair = true; // KK
		ChrPerksList.list.StormProfessional.condition.ShipSpeedUp = true; // KK
		ChrPerksList.list.StormProfessional.rank = 20; // KK

		ChrPerksList.list.SailingProfessional.descr = "perkSailingProfessional";
		ChrPerksList.list.SailingProfessional.condition.SandbankManeuver = true;
		ChrPerksList.list.SailingProfessional.condition.StormProfessional = true;
	}

	// Ship Combat Abilities
	//==========================================================================
	ChrPerksList.list.BasicBattleState.descr = "perkBasicBattleState";

	if(iRealismMode<2 && !REALISTIC_ABILITIES)
	{
		ChrPerksList.list.AdvancedBattleState.descr = "perkAdvancedBattleState";
		ChrPerksList.list.AdvancedBattleState.condition.BasicBattleState = true;
		ChrPerksList.list.AdvancedBattleState.Rank = 10; // KK

		ChrPerksList.list.ShipDefenceProfessional.descr = "perkShipDefenceProfessional";
		ChrPerksList.list.ShipDefenceProfessional.condition.AdvancedBattleState = true;
		ChrPerksList.list.ShipDefenceProfessional.rank = 15; // KK

		ChrPerksList.list.FastReload.descr = "perkFastReload";

		ChrPerksList.list.ImmediateReload.descr = "perkImmediateReload";
		ChrPerksList.list.ImmediateReload.condition.FastReload = true;
		ChrPerksList.list.ImmediateReload.TimeDelay = 300;

		ChrPerksList.list.HullDamageUp.descr = "perkHullDamageUp";

		ChrPerksList.list.SailsDamageUp.descr = "perkSailsDamageUp";

		ChrPerksList.list.CrewDamageUp.descr = "perkCrewDamageUp";

		ChrPerksList.list.CriticalShoot.descr = "perkCriticalShoot";
		ChrPerksList.list.CriticalShoot.condition.HullDamageUp = true;
		ChrPerksList.list.CriticalShoot.condition.SailsDamageUp = true;
		ChrPerksList.list.CriticalShoot.condition.CrewDamageUp = true;

		ChrPerksList.list.LongRangeShoot.descr = "perkLongRangeShoot";

		ChrPerksList.list.CannonProfessional.descr = "perkCannonProfessional";
		ChrPerksList.list.CannonProfessional.condition.FastReload = true;
		ChrPerksList.list.CannonProfessional.condition.CriticalShoot = true;
		ChrPerksList.list.CannonProfessional.condition.LongRangeShoot = true;

		ChrPerksList.list.LongRangeGrappling.descr = "perkLongRangeGrappling";

		// GreatZen -->
		ChrPerksList.list.MusketsShoot.descr = "perkMusketsShoot";
		ChrPerksList.list.MusketsShoot.condition.GunProfessional = true;
		ChrPerksList.list.MusketsShoot.condition.LongRangeGrappling = true;
		// GreatZen <--

		ChrPerksList.list.GrapplingProfessional.descr = "perkGrapplingProfessional";
		ChrPerksList.list.GrapplingProfessional.condition.LongRangeGrappling = true;
		//ChrPerksList.list.GrapplingProfessional.condition.MusketsShoot = true;

		ChrPerksList.list.InstantBoarding.descr = "perkInstantBoarding";
		ChrPerksList.list.InstantBoarding.condition.SwordplayProfessional = true;
		ChrPerksList.list.InstantBoarding.condition.SailingProfessional = true;
		ChrPerksList.list.InstantBoarding.condition.GrapplingProfessional = true;
		ChrPerksList.list.InstantBoarding.TimeDelay = -1;
	}

	// Miscellaneous Abilities
	//==========================================================================
	ChrPerksList.list.Troopers.descr = "perkTroopers";  // GreatZen
	ChrPerksList.list.Troopers.condition.LongRangeGrappling = true;
	ChrPerksList.list.Troopers.rank = 20; // KK

	ChrPerksList.list.LightRepair.descr = "perkLightRepair";
	ChrPerksList.list.LightRepair.TimeDelay = 60;

	ChrPerksList.list.InstantRepair.descr = "perkInstantRepair";
	ChrPerksList.list.InstantRepair.condition.LightRepair = true;

	// Personal Abilities Skills Group
	//=================================================================
	ChrPerksList.list.BasicCommerce.descr = "perkBasicCommerce";

	ChrPerksList.list.AdvancedCommerce.descr = "perkAdvancedCommerce";
	ChrPerksList.list.AdvancedCommerce.condition.BasicCommerce = true;

	ChrPerksList.list.Trustworthy.descr = "perkTrustworthy";
	ChrPerksList.list.Trustworthy.condition.BasicCommerce = true;
	ChrPerksList.list.Trustworthy.condition.AdvancedCommerce = true;

	// GreatZen -->
	ChrPerksList.list.BasicLandOwner.descr = "perkBasicLandOwner";
	ChrPerksList.list.BasicLandOwner.condition.BasicCommerce = true;
	// GreatZen <--

	ChrPerksList.list.SharedExperience.descr = "perkSharedExperience";

	ChrPerksList.list.IronWill.descr = "perkIronWill";

	ChrPerksList.list.Brander.descr = "perkBrander";
	ChrPerksList.list.Brander.rank = 20; // KK
}
